.TH MKPTYPES 4
.SH NAME
mkptypes \- C prototype extractor
.SH SYNOPSIS
.B mkptypes
[
.B -ensxzA
] [
.B -p X
] 
file.c ...
.SH DESCRIPTION
.I Mkptypes
is an ANSI prototype generator that takes one or more C source code files,
and produces a list of function prototypes for the external functions defined
in the input source files. There are several options to control what is generated.
.TP
.B -e
put an explicit \fIextern\fR keyword in declarations.
.TP
.B -n
add line numbers of declarations as comments.
.TP
.B -p X
use \fIX\fR as the prototype macro's name, the default is \fI_P\fR.
.TP
.B -s
Include declarations for static as well as global functions.
.TP
.B -x
Add parameter names to prototypes.
.TP
.B -z
Add prototype macro in definition.
.TP
.B -A
define prototype macro, this generates header files that
can be compiled under ANSI or K&R C.
